@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

@mixin position($position) {
  @include customAttribute('position', $position) {
    @content;
  }
}

:host {
  position: relative;
  display: block;

  &:hover {
    .app-tooltip {
      visibility: visible;
    }
  }
}

// tooltip
.app-tooltip {
  @include padding(5px 12px);
  @include robotoRegular;
  position: absolute;
  visibility: hidden;
  background-color: rgba($eclipse, 0.9);
  height: 24px;
  border-radius: 4px;
  color: $white;
  font-size: 10px;
  line-height: 13px;
  word-break: keep-all;

  // bottom
  @include position('bottom') {
    // arrow for top
    @include topArrow(4px, rgba($eclipse, 0.9));
    top: calc(100% + 10px);
    left: 50%;
    transform: translateX(-50%);
  }

  // top
  @include position('top') {
    // arrow for bottom
    @include bottomArrow(4px, rgba($eclipse, 0.9));
    bottom: calc(100% + 10px);
    left: 50%;
    transform: translateX(-50%);
  }

  // left
  @include position('left') {
    // arrow for right
    @include rightArrow(4px, rgba($eclipse, 0.9));
    right: calc(100% + 10px);
  }

  // right
  @include position('right') {
    // arrow for left
    @include leftArrow(4px, rgba($eclipse, 0.9));
    left: calc(100% + 10px);
  }

  ::ng-deep {
    [tooltip] {
      white-space: nowrap;
      font-weight: 500;
    }
  }
}
